PDA

View Full Version : port application from 2.3 to 4.5



baumbech
24th September 2009, 03:10
Hi there,

is somebody knows if I can port an application from Qt 2.3 to Qt 4.5 without problems? Or is the code incompatible?

Thank for your responses!

Best,
Christian

Ginsengelf
24th September 2009, 08:42
Hi, the code is probably in most parts incompatible or at least needs to be adapted to Qt4.
There is a porting guide (http://doc.trolltech.com/4.5/porting4.html) from Qt3 to Qt4, and it's quite a huge document, so if you come from Qt2 it should be even worse.

Ginsengelf